Subject: [P2PSIP] Fwd: New Version Notification for draft-ietf-p2psip-sip-08.txt

From: "Thomas C. Schmidt" <[email-masked]>
Date: Sun, 30 Dec 2012 14:08:56 +0100

Hi all,

we've updated the draft "SIP USAGE" with the aim of addressing all 
issues as discussed in the Atlanta meeting.

Changes since draft-ietf-p2psip-sip-07 in detail:

    o  Cleared open issues
    o  Clarified use cases after WG discussion
    o  Added configuration document extensions for configurable domain
       names
    o  Specified format of contact_prefs
    o  Clarified routing to AORs
    o  Extended security section
    o  Added Appendix on Third Party Registration
    o  Added IANA code points
    o  Editorial polishing
    o  Updated and extended references

I guess we all want to progress the document side by side with the base 
spec. So please feel encouraged to read and review!

Cheers & best wishes for 2013

  Thomas

-------- Original Message --------
Subject: New Version Notification for draft-ietf-p2psip-sip-08.txt
Date: Sun, 30 Dec 2012 02:59:28 -0800
From: [email-masked]
To: [email-masked]
CC: [email-masked], [email-masked], [email-masked], 
[email-masked], [email-masked]

A new version of I-D, draft-ietf-p2psip-sip-08.txt
has been successfully submitted by Thomas C. Schmidt and posted to the
IETF repository.

Filename:	 draft-ietf-p2psip-sip
Revision:	 08
Title:		 A SIP Usage for RELOAD
Creation date:	 2012-12-30
WG ID:		 p2psip
Number of pages: 17
URL: 
http://www.ietf.org/internet-drafts/draft-ietf-p2psip-sip-08.txt
Status:          http://datatracker.ietf.org/doc/draft-ietf-p2psip-sip
Htmlized:        http://tools.ietf.org/html/draft-ietf-p2psip-sip-08
Diff:            http://www.ietf.org/rfcdiff?url2=draft-ietf-p2psip-sip-08

Abstract:
    This document defines a SIP Usage for REsource LOcation And Discovery
    (RELOAD).  The SIP Usage provides the functionality of a SIP proxy or
    registrar in a fully-distributed system and includes a lookup service
    for Address of Records (AoRs) stored in the overlay.  It also defines
    Globally Routable User Agent Uris (GRUUs) that allow the
    registrations to map an AoR to a specific node reachable through the
    overlay.  After such initial contact of a peer, the AppAttach method
    is used to establish a direct connection between nodes through which
    SIP messages are exchanged.

The IETF Secretariat

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Sun, 30 Dec 2012 09:41:59 -0800

Hi Thomas,

This version is a great improvement, and all the items listed in my previous
reviews are now fixed.

I have two new comments and few nits related to this new version:

1. I think the document needs some guidance on how to use (D)TLS.  The
AppAttach creates a bare TLS connection or UDP association. The
draft-ietf-p2psip-base document registers Application-ID 5061 in addition to
5060, so I guess that the intent was to use that as an indication that (D)TLS
should be started on the connection/association immediately after the
establishment (note that section 4.2 of -p2psip-sip talks only about 5060),
but should all P2P SIP enabled peers listen on both Application-IDs?  If not,
how do peers know which one to use?  Perhaps peers may want to register this
information in the SipRegistration Resource Record.  Note that this does not
require a modification of the SipRegistration format, as contact_prefs can be
used for that, e.g. if only Application-ID 5061 is supported:

(sip.schemes=sips)

2. The pattern language used in 3.4 is not defined.  Looking at the example,
it seems to be a regex variant, but in this case the first example would also
match with dht-example.com.  I propose to use "POSIX Extended Regular
Expression" (see reference in RFC 3402), in which case the examples in the
spec become:

dht\.example\.com
.*\.my\.name

A simpler alternative would be to use Unix wildcards, in which case the
examples become:

dht.example.com
*.my.name

Note that draft-ietf-p2psip-share also does not define the wildcard/regex
variant used.

Nits
====

- - In the whole document: s/kind/Kind/ (unless it is "kind of" form)

- - Abstract: s/AoR/AOR/

- - 1. Introduction: s/stores a mapping from his URI/stores a mapping from his AOR/

- - 3.2. Data Structure

Replace:

       enum {sip_registration_uri (1), sip_registration_route (2),
             (255)} SipRegistrationType;

With:

       enum { sip_registration_uri(1), sip_registration_route(2),
             (255) } SipRegistrationType;

- - 3.2. Data Structure: s/PDU/Resource Record/

- - 3.2. Data Structure: Add a reference to RFC 2738, that fixes bugs in RFC 2533.

- - 3.4. Overlay Configuration Document Extension: s/or contains the domain
suffix/or ends with the domain/

- - 9. IANA Considerations: Add registration for namespace
"urn:ietf:params:xml:ns:p2p:config-base:sip"

Thanks.

On 12/30/2012 05:08 AM, Thomas C. Schmidt wrote:
> Hi all,
> 
> we've updated the draft "SIP USAGE" with the aim of addressing all issues
> as discussed in the Atlanta meeting.
> 
> o  Cleared open issues o  Clarified use cases after WG discussion o  Added
> configuration document extensions for configurable domain names o
> Specified format of contact_prefs o  Clarified routing to AORs o  Extended
> security section o  Added Appendix on Third Party Registration o  Added
> IANA code points o  Editorial polishing o  Updated and extended references
> 
> -------- Original Message -------- Subject: New Version Notification for
> draft-ietf-p2psip-sip-08.txt Date: Sun, 30 Dec 2012 02:59:28 -0800 From:
> [email-masked] To: [email-masked] CC:
> [email-masked], [email-masked], [email-masked], [email-masked], 
> [email-masked]
> 
> 
> A new version of I-D, draft-ietf-p2psip-sip-08.txt has been successfully
> submitted by Thomas C. Schmidt and posted to the IETF repository.
> 
> Filename:     draft-ietf-p2psip-sip Revision:     08 Title:         A SIP
> Usage for RELOAD Creation date:     2012-12-30 WG ID:         p2psip Number
> of pages: 17 URL:
> http://www.ietf.org/internet-drafts/draft-ietf-p2psip-sip-08.txt Status:
> http://datatracker.ietf.org/doc/draft-ietf-p2psip-sip Htmlized:
> http://tools.ietf.org/html/draft-ietf-p2psip-sip-08 Diff:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-p2psip-sip-08
> 
> Abstract: This document defines a SIP Usage for REsource LOcation And
> Discovery (RELOAD).  The SIP Usage provides the functionality of a SIP
> proxy or registrar in a fully-distributed system and includes a lookup
> service for Address of Records (AoRs) stored in the overlay.  It also
> defines Globally Routable User Agent Uris (GRUUs) that allow the 
> overlay.  After such initial contact of a peer, the AppAttach method is
> used to establish a direct connection between nodes through which SIP
> messages are exchanged.
> 
> 

- -- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org
Profile: http://www.linkedin.com/in/petithug